---
updatedAt: 2025-06-12T20:34:19.000Z
agentTools:
  projectIndex: https://docs.zondacrypto.exchange/llms.txt
---

# Transactions history

> 📘 To get a messages from every market - just subscribe on path: history/transactions

```json Request
{
 "action": "subscribe-private",
 "module": "trading",
 "path": "history/transactions/{market_code}",
 "hashSignature": "8892f16e0713c5f3e3d7e9fa26c5a5f2817b09fc48fece72ed5712ae33547c92e91e735b1818397136beea760efae61d1449a93e48ee2f80789dfa24830ef720",
  "publicKey": "12345f6f-1b1d-1234-a973-a10b1bdba1a1",
  "requestTimestamp": 1529897422 
}
```
```json Push
{
  "action": "push",
  "topic": "trading/transactions/btc-pln",
  "message": {
    "transactions": [
      {
        "id": "e44cfa89-27e7-11ea-8d5d-0242ac110008",
        "t": "1577368750940",
        "a": "0.89380625",
        "r": "27938.57",
        "ty": "Sell"
      }
    ]
  },
  "timestamp": "1577368750940",
  "seqNo": 1218343
}
```
```json Snapshot
{
  "requestId": "78539fe0-e9b0-4e4e-8c86-70b36aa93d4f",
  "action": "proxy",
  "module": "trading",
  "path": "history/transactions",
  "queryString": "query={\"balancesId\":null,\"markets\":[\"BTC-PLN\"],\"rateFrom\":230}",
  "hashSignature": "8892f16e0713c5f3e3d7e9fa26c5a5f2817b09fc48fece72ed5712ae33547c92e91e735b1818397136beea760efae61d1449a93e48ee2f80789dfa24830ef720",
  "publicKey": "12345f6f-1b1d-1234-a973-a10b1bdba1a1",
  "requestTimestamp": 1529897422
}
```
```json Proxy response
{
  "action": "proxy-response",
  "requestId": "56ff5085-5854-cc2d-de67-4fa4ef4bb394",
  "statusCode": 200,
  "body": {
    "status": "Ok",
    "totalRows": "98115",
    "items": [
      {
        "id": "2cbc4c90-1fde-11ea-8d5d-0242ac110008",
        "market": "BTC-PLN",
        "time": "1576484968197",
        "amount": "0.00730694",
        "rate": "27126.37",
        "initializedBy": "Sell",
        "wasTaker": true,
        "userAction": "Sell",
        "offerId": "2cbc4c8f-1fde-11ea-8d5d-0242ac110008",
        "commissionValue": "0"
      }
    ],
    "query": {
      "markets": [
        [
          "BTC-PLN"
        ]
      ],
      "limit": [
        "50"
      ],
      "offset": [
        "0"
      ],
      "fromTime": [],
      "toTime": [],
      "userId": [],
      "offerId": [],
      "initializedBy": [],
      "rateFrom": [],
      "rateTo": [],
      "userAction": [
        "Sell"
      ],
      "nextPageCursor": [
        "start"
      ]
    },
    "nextPageCursor": "QW9OeDZxYkJxZVlDUHdVMU9XVmhOV00xWXkwd1pHTTBMVFExTVRZdE9HWmpOeTA1TW1FNFpEVm1NVFl3WVdZL0kxc2lRbFJETFZCTVRpSXNJakUxTXpnNU9URXhOREkxTmpFaUxDSTFPV1ZoTldNMVl5MHdaR00wTFRRMU1UWXRPR1pqTnkwNU1tRTRaRFZtTVRZd1lXWWlYUT09"
  }
}
```

<HTMLBlock>{`
<div class="api-manager"><div class="param-table"><div class="param-header"><h3>Snapshot Query Params</h3><div class="param-header-border"></div></div><div class="param-item"><div class="param-item-name"><strong>markets</strong><div class="param-type">array of strings</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>Array of markets.</p>
</div></div></div></div><div class="param-item"><div class="param-item-name"><strong>rateFrom</strong><div class="param-type">float</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>Minimal price value.</p>
</div></div></div></div><div class="param-item"><div class="param-item-name"><strong>rateTo</strong><div class="param-type">float</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>Maximal price value.</p>
</div></div></div></div><div class="param-item"><div class="param-item-name"><strong>fromTime</strong><div class="param-type">date-time</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>Unix timestamp from which the operations start.</p>
</div></div></div></div><div class="param-item"><div class="param-item-name"><strong>toTime</strong><div class="param-type">date-time</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>Unix timestamp for which they end.</p>
</div></div></div></div><div class="param-item"><div class="param-item-name"><strong>userAction</strong><div class="param-type">string</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>User role on finished transaction: buy / sell.</p>
</div></div></div></div><div class="param-item"><div class="param-item-name"><strong>nextPageCursor</strong><div class="param-type">string</div></div><div class="param-item-info"><div class="param-item-table"><div class="param-item-desc"><p>Pointer for starting page. Value of initial pointer is: start</p>
</div></div></div></div></div></div>

<style>
.api-manager {

}

.api-manager .param-table {
    padding: 0;
    display: table;
    padding: 8px 0;
    font-size: 14px;
    width: 100%;
}

.api-manager .param-header {
    display: table-row;
}

.api-manager .param-header h3 {
    color: #aeaeae;
    padding-bottom: 10px;
    margin-bottom: 5px;
    font-weight: normal;
    font-size: 14px;
    text-transform: uppercase;
    padding-left: 15px;
}

.api-manager .param-header > * {
    border-bottom: 1px solid #ddd;
    vertical-align: bottom;
    display: table-cell;
}

.api-manager .param-table .param-item {
    display: table-row;
}

.api-manager .param-table .param-item .param-item-name strong {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    font-size: 14px;
    color: #56585e;
    font-weight: 600;
    font-size: 14px;
}
  
.api-manager .param-table .param-item .param-item-name .param-type {
    color: #b4babd;
    font-size: 12px;
}
  
.api-manager .param-table .param-item .param-item-name {
    display: table-cell;
    vertical-align: top;
    margin-left: 10px;
    min-width: 170px;
  	padding: 10px 15px;
}  
  
.api-manager .param-table .param-item .param-item-info {
    display: table-cell;
    padding: 8px 0;
    vertical-align: top;
    margin-left: auto;
}
  
.api-manager .param-table .param-item .param-item-info .param-item-table {
    display: table;
    width: 100%;
    vertical-align: middle;
}  
  
.api-manager .param-table .param-item .param-item-info .param-item-table .param-item-desc {
    display: table-cell;
    padding-right: 50px;
    width: 320px;
    vertical-align: top;
}  
  
.api-manager .param-table .param-item .param-item-info .param-item-table .param-item-input {
    display: table-cell;
    width: 220px;
    vertical-align: middle;
}
  
.param-table .param-item .param-item-info .param-item-table .param-item-input input[type="text"], #hub-reference .hub-api .api-manager .param-table .param-item .param-item-info .param-item-table .param-item-input input[type="number"] {
    border: 1px solid #eaeaea;
    border-radius: 2px;
    padding: 8px 10px;
  	width: 100%;
}  

  
</style>
`}</HTMLBlock>

Snapshot response details are the same as for \[GET trading/history/transactions]

**Response details**

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Key
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        id
      </td>

      <td>
        UUID
      </td>

      <td>
        Transaction UUID.
      </td>
    </tr>

    <tr>
      <td>
        market
      </td>

      <td>
        string
      </td>

      <td>
        Market symbol for transaction.
      </td>
    </tr>

    <tr>
      <td>
        time
      </td>

      <td>
        UNIX timestamp
      </td>

      <td>
        Time of performed transaction.
      </td>
    </tr>

    <tr>
      <td>
        amount
      </td>

      <td>
        decimal
      </td>

      <td>
        Amount of cryptocurrency.
      </td>
    </tr>

    <tr>
      <td>
        rate
      </td>

      <td>
        decimal
      </td>

      <td>
        Transaction price.
      </td>
    </tr>

    <tr>
      <td>
        initializedBy
      </td>

      <td>
        string
      </td>

      <td>
        Which side initiated the transaction: buy / sell.
      </td>
    </tr>

    <tr>
      <td>
        wasTaker
      </td>

      <td>
        boolean
      </td>

      <td>
        Do user is taker.
      </td>
    </tr>

    <tr>
      <td>
        userAction
      </td>

      <td>
        string
      </td>

      <td>
        User role in transaction: buy / sell.
      </td>
    </tr>
  </tbody>
</Table>